php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #77650 Release a version of pecl/ssh2 that builds on PHP 7.3
Submitted: 2019-02-22 00:08 UTC Modified: -
Votes:14
Avg. Score:4.6 ± 0.6
Reproduced:14 of 14 (100.0%)
Same Version:14 (100.0%)
Same OS:5 (35.7%)
From: ramsey@php.net Assigned:
Status: Open Package: ssh2 (PECL)
PHP Version: 7.3.2 OS: n/a
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2019-02-22 00:08 UTC] ramsey@php.net
Description:
------------
The latest release of the ssh2 extension (1.1.2, released in 2017) doesn’t build on PHP 7.3, but it looks like there are commits in the master branch that fix this. I’ve confirmed, and I’m able to build the latest state of master (79371dc) on PHP 7.3.

Please release a new version of the extension for PHP 7.3.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2019-04-24 23:07 UTC] goldorakhong at gmail dot com
I've postponed the migration of my dev environment for months after a few attempts because of this,
Thanks to Ramsey, I found the sources that can be compiled for 7.3, just before I give up once again.

P.S., for people looking a solution with a search engine (which I couldn't find myself):

If you're stuck with compiling errors like:

error: invalid operands to binary expression ('zend_string' (aka 'struct _zend_string') and 'int')

or

warning: incompatible pointer types assigning to 'char *' from 'zend_string *' (aka 'struct _zend_string *')

you will be able to install the ssh2.so extension for PHP7.3 using a recent snapshot of the source code that can be found here:
http://git.php.net/?p=pecl/networking/ssh2.git;a=summary
 [2019-05-29 13:48 UTC] dasteph at gmail dot com
I could just reproduce:

docker run php:7.3 bash -c "apt-get update && apt-get -y install libssh2-1-dev && pecl install ssh2-1.1.2"
=> Makefile:196: recipe for target 'ssh2_fopen_wrappers.lo' failed
make: *** [ssh2_fopen_wrappers.lo] Error 1
ERROR: `make' failed
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Jun 26 01:01:26 2019 UTC